<?php
	
	/**Includes reqired resources here**/
	define('WEBRITI_TEMPLATE_DIR_URI',get_template_directory_uri());	
	define('WEBRITI_TEMPLATE_DIR',get_template_directory());
	define('WEBRITI_THEME_FUNCTIONS_PATH',WEBRITI_TEMPLATE_DIR.'/functions');	
	define('WEBRITI_THEME_OPTIONS_PATH',WEBRITI_TEMPLATE_DIR_URI.'/functions/theme_options');
	require( WEBRITI_THEME_FUNCTIONS_PATH . '/menu/default_menu_walker.php'); 
	require( WEBRITI_THEME_FUNCTIONS_PATH . '/menu/webriti_nav_walker.php');
	require( WEBRITI_THEME_FUNCTIONS_PATH . '/template-tags.php');	
	//wp title tag starts here
	function spicy_head( $title, $sep )
	{	global $paged, $page;		
		if ( is_feed() )
			return $title;
		// Add the site name.
		$title .= get_bloginfo( 'name','display');
		// Add the site description for the home/front page.
		$site_description = get_bloginfo( 'description','display');
		if ( $site_description && ( is_home() || is_front_page() ) )
			$title = "$title $sep $site_description";
		// Add a page number if necessary.
		if ( $paged >= 2 || $page >= 2 )
			$title = "$title $sep " . sprintf( __( 'Page %s', 'spicy' ), max( $paged, $page ) );
		return $title;
	}	
	add_filter( 'wp_title', 'spicy_head', 10, 2);
	
	add_action( 'after_setup_theme', 'spicy_setup' ); 	
	function spicy_setup()
	{
		global $content_width;
		if ( ! isset( $content_width ) ) $content_width = 600;//In PX */
		
		// Load text domain for translation-ready
		load_theme_textdomain( 'spicy', WEBRITI_THEME_FUNCTIONS_PATH . '/lang' );
		
		add_theme_support( 'post-thumbnails' ); //supports featured image
		// This theme uses wp_nav_menu() in one location.
		register_nav_menu( 'primary', __( 'Primary Menu', 'spicy' ) ); //Navigation
		// theme support 	
		$args = array('default-color' => '000000',);
		add_theme_support( 'custom-background', $args  ); 
		add_theme_support( 'automatic-feed-links');
		
		require_once('theme_setup_data.php');
		// setup admin pannel defual data for index page		
		//$spicy_lite_options=theme_data_setup();
		
		//$current_theme_options = get_option('spicy_lite_options'); // get existing option data 		
		//if($current_theme_options)
		//{ 	$spicy_lite_options = array_merge($spicy_lite_options, $current_theme_options);
			//update_option('spicy_lite_options',$spicy_lite_options);	// Set existing and new option data			
		//}
		//else
		//{
			//add_option('spicy_lite_options', $spicy_lite_options);
		//}//
		require( WEBRITI_THEME_FUNCTIONS_PATH . '/theme_options/option_pannel.php' ); // for Option Panel Settings
		add_action('wp_enqueue_scripts', 'spicy_scripts');
		if ( is_singular() ){ wp_enqueue_script( "comment-reply" );	}
	}
	// Read more tag to formatting in blog page 	
	function spicy_content_more($more)
	{  global $post;
		return '<p><a href="' . get_permalink() . "#more-{$post->ID}\" class=\"blog_section_readmore\"> __('Read More','spicy')</a></p>";
	}   
	add_filter( 'the_content_more_link', 'spicy_content_more' );

	/********** Image Resize *************/
	if ( function_exists( 'add_image_size' ) ) 
	{ 
	add_image_size('webriti_blogfull_img',1600,450,true);
	add_image_size('webriti_blogdetail_img',750,350,true);
	add_image_size('webriti_blogright_img',270,260,true);
	}

	add_action( 'widgets_init', 'spicy_widgets_init');
	function spicy_widgets_init() {
	/*sidebar*/
	register_sidebar( array(
			'name' => __( 'Sidebar Widget Area', 'spicy' ),
			'id' => 'sidebar_primary',
			'description' => __( 'The right sidebar widget area', 'spicy' ),
			'before_widget' => '<div class="hc_sidebar_widget">',
			'after_widget' => '</div>',
			'before_title' => '<div class="hc_sidebar_widget_title"><h2>',
			'after_title' => '</h2></div>',
		) );

	register_sidebar( array(
			'name' => __( 'Footer Widget Area', 'spicy' ),
			'id' => 'footer_widget_area',
			'description' => __( 'footer widget area', 'spicy' ),
			'before_widget' => '<div class="col-md-3 hc_footer_widget_column">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="hc_footer_widget_title">',
			'after_title' => '</h3>',
		) );
	}
	
	function spicy_scripts()
	{
		wp_enqueue_style( 'spicy-style', get_stylesheet_uri() );
		wp_enqueue_style('spicy-bootstrap', WEBRITI_TEMPLATE_DIR_URI . '/css/bootstrap.css');
		wp_enqueue_style('spicy-default', WEBRITI_TEMPLATE_DIR_URI . '/css/default.css');
		wp_enqueue_style('spicy-theme-menu', WEBRITI_TEMPLATE_DIR_URI . '/css/theme-menu.css');
		wp_enqueue_style('spicy-media-responsive', WEBRITI_TEMPLATE_DIR_URI . '/css/media-responsive.css');
		wp_enqueue_style('spicy-font', WEBRITI_TEMPLATE_DIR_URI . '/css/font/font.css');	
		wp_enqueue_style('spicy-font-awesome-min', WEBRITI_TEMPLATE_DIR_URI . '/css/fontawesome/css/font-awesome.min.css');
		wp_enqueue_style('spicy-tool-tip', WEBRITI_TEMPLATE_DIR_URI . '/css/css-tooltips.css');
		
		wp_enqueue_script('spicy-menu', WEBRITI_TEMPLATE_DIR_URI .'/js/menu/menu.js',array('jquery'));
		wp_enqueue_script('spicy-bootstrap-min', WEBRITI_TEMPLATE_DIR_URI .'/js/bootstrap.min.js');
		
		wp_enqueue_style('flexslider', WEBRITI_TEMPLATE_DIR_URI . '/css/flexslider/flexslider.css');
		wp_enqueue_script('jquery-flexslider', WEBRITI_TEMPLATE_DIR_URI .'/js/flexslider/jquery.flexslider.js');
		wp_enqueue_script('jquery-flex-element', WEBRITI_TEMPLATE_DIR_URI .'/js/flexslider/flex-element.js');
		
	}

	function spicy_add_gravatar_class($class) {
		$class = str_replace("class='avatar", "class='img-responsive comment-img", $class);
		return $class;
	}
	add_filter('get_avatar','spicy_add_gravatar_class');

function spicy_content_width(){
	if (!is_active_sidebar('sidebar_primary')){
		global $content_width;
		$content_width = 950;
	}
}
add_action( 'template_redirect', 'spicy_content_width' );


function spicy_excerpt_length( $length ) {
	return 10;
	}
	add_filter( 'excerpt_length', 'spicy_excerpt_length', 999 );
	
	function spicy_excerpt_more($more) {
	global $post;
		return '';
	}
	add_filter('excerpt_more', 'spicy_excerpt_more');
?>