<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>" charset="<?php bloginfo('charset'); ?>" />
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php $current_options = get_option('spicy_lite_options',theme_data_setup()); ?>
	<?php if($current_options['upload_image_favicon']!=''){ ?>
	<link rel="shortcut icon" href="<?php  echo esc_url($current_options['upload_image_favicon']); ?>" /> 
	<?php } ?>
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> >
<!-- Wrapper -->
<div id="wrapper">

<!-- Header Section -->
<div class="header_section">
	<div class="container">
		
		<!-- Top Arrow -->
		<div class="row top-caret">
			<span></span>
		</div>
		<!-- /Top Arrow -->
		
		<!-- Logo & Contact Info -->
		<div class="row">
			<div class="col-md-12">
				<div class="hc_logo pull-left">
					<h1>
						<a title="Business World" href="<?php echo esc_url( home_url( '/' ) ); ?>">
						<?php
						if($current_options['text_title']=="on")
						{ echo "<div class=spicy_title_head>" . get_bloginfo( ). "</div>"; }
						else if($current_options['upload_image_logo']!='') 
						{ ?>
						<img src="<?php echo esc_url($current_options['upload_image_logo']); ?>" style="height:<?php if($current_options['height']!='') { echo esc_html($current_options['height']); }  else { "50"; } ?>px; width:<?php if($current_options['width']!='') { echo esc_html($current_options['width']); }  else { "250"; } ?>px;" alt="logo" />
						<?php } ?>
						</a>
					</h1> 
				</div>			
				
				<?php if($current_options['header_social_media_enabled']=='on') { ?>
				<ul class="head-contact-social pull-right">
					<?php if($current_options['social_media_twitter_link']!='') { ?>
					<li class="twitter"><a href="<?php echo esc_url($current_options['social_media_twitter_link']); ?>"><i class="fa fa-twitter"></i></a></li>
					<?php }
					if($current_options['social_media_facebook_link']!='') { ?>
					<li class="facebook"><a href="<?php echo esc_url($current_options['social_media_facebook_link']); ?>"><i class="fa fa-facebook"></i></a></li>
					<?php }
					if($current_options['social_media_youtube_link']!='') { ?>
					<li class="youtube"><a href="<?php echo esc_url($current_options['social_media_youtube_link']); ?>"><i class="fa fa-youtube"></i></a></li>		
					<?php }
					if($current_options['social_media_linkedin_link']!='') { ?>
					 <li class="linkedin"><a href="<?php echo esc_url($current_options['social_media_linkedin_link']); ?>"><i class="fa fa-linkedin"></i></a></li>
					<?php } ?>
				</ul>
				<?php } ?>
			</div>
		</div>
		<!-- /Logo & Contact Info -->
	</div>	
</div>	
<!-- /Header Section -->
	
<!-- Navbar Section -->
<div class="navigation_section">
	<div class="container navbar-container">
		<nav class="navbar navbar-default" role="navigation">
		  <div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
			  <span class="sr-only"><?php _e('Toggle navigation', 'spicy'); ?></span><?php _e('Navigation Menu', 'spicy'); ?>
			</button>
		  </div>
		  <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
			<?php
			wp_nav_menu( array(  
					'theme_location' => 'primary',
					'container'  => 'nav-collapse collapse navbar-inverse-collapse',
					'menu_class' => 'nav navbar-nav',
					'fallback_cb' => 'webriti_fallback_page_menu',
					'walker' => new webriti_nav_walker()
					)
				);	
			?>
		  </div>
		</nav>
	</div>
</div>	
<!-- /Navbar Section -->